#include "math/Complex.h"
#include <vector>

class Polynomial
{
private:
    std::vector<Complex> coefficients;

public:
    std::vector<Complex> roots;

    int degree();

    void addRoot(Complex r);
    void remRoot();

    void findCoefficients();
    Complex evaluate(Complex z);
    void derivative(Polynomial& result);
void Print();
};
